#ifndef TOOLS_FILEVIEW_H
#define TOOLS_FILEVIEW_H 1

/*
**  fileview.h
**
**  (C) Copyright 2003-2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

#define VER_FILEVIEW  1.0

/*****************************************************************************
** Flags
*/

#define FVF_SHOWPARENT   0x00000001
#define FVF_NOEXTENSIONS 0x00000002
#define FVF_SYSKEYS      0x00000004
#define FVF_NOFILES      0x00000008
#define FVF_TOTALREFRESH 0x00000010

/*****************************************************************************
** Methods
*/

#define MT_ParentDirectory -1
#define MT_CutFiles        -2
#define MT_CopyFiles       -3
#define MT_PasteFiles      -4
#define MT_DeleteFiles     -5
#define MT_CreateDir       -6
#define MT_RenameFile      -7
#define MT_EditFiles       -8
#define MT_ViewFiles       -9

#endif /* TOOLS_FILEVIEW_H */